<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">

    <title>To Do List</title>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-3"></div>

            <div class="col-6 mt-5">
                <h1 class="text-center">To Do</h1>
                <div class="mb-3 mt-4">
                    <div class="input-group mb-3">
                        <input type="text" class="form-control" placeholder="To do task">
                        <button class="btn btn-primary" type="button" id="button-addon2"
                            onclick="addToDo()">Add</button>
                    </div>
                </div>

                <div id="tasks">
                    <!-- <div class="form-check">
                        <input class="form-check-input" type="checkbox" value="" id="flexCheckChecked" checked>
                        <label class="form-check-label" for="flexCheckChecked">
                            Checked checkbox
                        </label>
                    </div> -->
                </div>
            </div>

            <div class="col-3"></div>
        </div>
    </div>

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>

    <script type="text/javascript" src="./test.js"></script>

    <!-- <script type="text/javascript">

        function addToDo() {

            var myDiv = document.createElement("div");
            myDiv.setAttribute("class", "form-check");

            var myInput = document.createElement("input");
            myInput.setAttribute("class", "form-check-input");
            myInput.setAttribute("id", "task-input");
            myInput.setAttribute("type", "checkbox");
            myInput.setAttribute("checked", "checked");

            var myLabel = document.createElement("label");
            myLabel.setAttribute("class", "form-check-label");
            myLabel.setAttribute("id", "task-label");

            myLabel.innerHTML = "It's a test";

            myDiv.appendChild(myInput);
            myDiv.appendChild(myLabel);

            document.getElementById("tasks").appendChild(myDiv);
        }

    </script> -->
</body>

</html>